## org.apache.cassandra.io.sstable
Class KeyIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<DecoratedKey>
              org.apache.cassandra.io.sstable.KeyIterator

All Implemented Interfaces:
  java.io.Closeable, java.util.Iterator<DecoratedKey>, CloseableIterator<DecoratedKey>

    public class KeyIterator

extends com.google.common.collect.AbstractIterator<DecoratedKey>
implements CloseableIterator<DecoratedKey>

Constructor Summary
`KeyIterator(Descriptor desc)`

Method Summary
`void` `close()`
`protected DecoratedKey<?>` `computeNext()`
`long` `getBytesRead()`
`long` `getTotalBytes()`

Methods inherited from class com.google.common.collect.AbstractIterator
`endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Constructor Detail

### KeyIterator

    public KeyIterator(Descriptor desc)

Method Detail

### computeNext

    protected DecoratedKey<?> computeNext()

  Specified by:
    `computeNext` in class `com.google.common.collect.AbstractIterator<DecoratedKey>`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Throws:
    `java.io.IOException`

### getBytesRead

    public long getBytesRead()

### getTotalBytes

    public long getTotalBytes()

Copyright © 2013 The Apache Software Foundation